<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>
<script>
    ///////////////       Example 1               ///////////////
    //Tạo 1 class
    class Car {
        constructor(paramName, paramYear) {
            this.name = paramName;
            this.year = paramYear;
        }
        age(x) {
            return x - this.year;
        }
    }

    let date = new Date();
    let year = date.getFullYear();

    var vCar = new Car("BMW", 2014);
    console.log("Car name: " + vCar.name);
    console.log("Năm sản xuất: " + vCar.year);
    console.log("My car is " + vCar.age(year) + " years old");
</script>

</html>